PHP is amongst the most widely used object-oriented programming languages. It is quite popular as it’s free software, which can be used to build responsive sites such as community websites, web stores or school websites as opposed to static HTML-based websites. A PHP module should be present on the web server where a PHP-driven website is hosted so that its code can be interpreted. Because there are no license fees for such a module and the language provides limitless possibilities for the Internet apps that you build, there’re hundreds of millions of PHP-powered websites. What’s more, there’re a ton of open-source PHP-based scripts, which you can use for your sites without the need to have any programming expertise. Considering the fact that there’re a couple of PHP versions, you need to make certain that the same exact version that you used while developing your website is installed on the server as well.

PHP 4 and PHP 5 Support in Shared Website Hosting

Our shared website hosting servers support several PHP versions, which goes to say that your sites will run properly even if your PHP scripts are outdated. We acknowledge the fact that an old site does not always equal an insecure one as you may have implemented lots of mods to its code. That is the reason why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can pick which one will be enabled for your hosting account. The version can be changed with one single click of the mouse from your Hepsia Control Panel and the update will take effect instantaneously. If you want to run both newer and older scripts, there is even a possibility to use a different version of PHP for each of your domains simultaneously.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Even if your sites were created with an older PHP version, you’ll be able to host them in a semi-dedicated server account from us, as we support different versions running at the same time on our semi-dedicated servers and each of them can be activated for your account with no more than a click via our custom-developed Hepsia hosting Control Panel. In addition to the most recent PHP 5.4 and PHP 5.5, we also offer 5.2, 5.3 and the older PHP 4, which has already been dropped by most web hosting companies, but we strongly trust that you should not be forced to modify a site that took several years to create, as older scripting language syntax doesn’t inevitably suggest safety loopholes. Just the opposite, a rightly maintained website using PHP 4 can be more secure than a badly maintained one using PHP 5. For your convenience’s sake, we’ll also provide you with the opportunity to set a different PHP version for each website within the account.